[jitsi-dev] Recent compilation problem with java 1.5


#1

Jitsi doesn't compile anymore with java 1.5. Compilation errors like the following come out:

     [javac] /jitsi-svn/src/net/java/sip/communicator/impl/gui/main/chat/conference/ChatContactListModel.java:25: type javax.swing.AbstractListModel does not take parameters
     [javac] extends AbstractListModel<ChatContact<?>>
     [javac] ^
     [javac] /jitsi-svn/src/net/java/sip/communicator/impl/gui/customcontrols/SIPCommSmartComboBox.java:28: type javax.swing.JComboBox does not take parameters
     [javac] extends JComboBox<E>
     [javac] ^
     [javac] /jitsi-svn/src/net/java/sip/communicator/impl/gui/customcontrols/SIPCommSmartComboBox.java:48: type javax.swing.AbstractListModel does not take parameters
     [javac] extends AbstractListModel<E>

...

I suppose it's trivial to reproduce with java 1.5, but if not, I can post the whole log somewhere.

-- Heikki Lindholm


#2

Thank you! Revision 10478 should restore the Java 1.5 compatibility of
the source code.


#3

Yes, r10478 works. Thanks!

-- Heikki Lindholm

···

On 2/25/13 10:16 AM, Lyubomir Marinov wrote:

Thank you! Revision 10478 should restore the Java 1.5 compatibility of
the source code.